<!DOCTYPE html>
<html>
    <head>

        <meta charset="UTF-8" />



        <title>{% block title %}Welcome!{% endblock %}</title>

        {% block stylesheets %}


            <!-- bootstrap & fontawesome -->
            <link rel="stylesheet" href="{{ asset('assets/css/bootstrap.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/font-awesome/4.5.0/css/font-awesome.min.css') }}" />


            <link rel="stylesheet" href="{{asset('assets/css/bootstrap-duallistbox.min.css') }}" />
            <link rel="stylesheet" href="{{asset('assets/css/bootstrap-multiselect.min.css') }}" />
            <!-- page specific plugin styles -->
            <link rel="stylesheet" href="{{ asset('assets/css/jquery-ui.custom.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/jquery.gritter.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/select2.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/bootstrap-datepicker3.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/bootstrap-editable.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/jquery-ui.custom.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/jquery.gritter.min.css') }}" />
            <!-- text fonts -->
            <link rel="stylesheet" href="{{ asset('assets/plugins/datepicker/datepicker3.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/plugins/timepicker/bootstrap-timepicker.min.css') }}" />



            <link rel="stylesheet" href="{{ asset('assets/css/fonts.googleapis.com.css') }}" />

            <!-- ace styles -->
            <link rel="stylesheet" href="{{ asset('assets/css/ace.min.css') }}" class="ace-main-stylesheet" id="main-ace-style" />

            <link rel="stylesheet" href="{{ asset('assets/css/ace-skins.min.css') }}" />
            <link rel="stylesheet" href="{{ asset('assets/css/ace-rtl.min.css') }}" />
         <!--   <link rel="stylesheet" href="{{ asset('assets/css/summernote_1.css') }}" />-->

            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.3/summernote.css">



            {#     <link rel="stylesheet" href="{{ asset('assets/css/datatables.min.css') }}" /> mourad s #}
        {% endblock %}





        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}" />
    </head>
    <body class="no-skin">
        {% block navbar %}
            {{ include ('inc/navbar.html.twig')}}
        {% endblock %}
        <div class="main-container ace-save-state" id="main-container">
            <script type="text/javascript">
                try {
                    ace.settings.loadState('main-container')
                } catch (e) {
                }
            </script>
            {% block sidebar %}
                {{ include ('inc/sidebar.html.twig')}}
            {% endblock %}






            <div class="main-content">
                <div class="main-content-inner">
                    {#                    {%  block navigation %} {{ include ('inc/navigation.html.twig')}} {% endblock %} #}



                    <div class="page-content">

                        {# Bloc Settings  : {%  block setting %} {{ include ('inc/setting.html.twig')}} {% endblock %}  #}

                        <div class="row">
                            <div class="col-xs-12">

                                {% block body %}    {% endblock %}


                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.page-content -->
                </div>
            </div><!-- /.main-content -->





            {% block footer %}
                {{ include ('inc/footer.html.twig')}}
            {% endblock %}  


        </div>

        {% block javascripts %}
            <script src="{{ asset('assets/js/jquery-2.1.4.min.js') }}"></script>
            <script src="{{ asset('assets/js/ace-extra.min.js') }}"></script>

            <script type="text/javascript">
                if ('ontouchstart' in document.documentElement)
                    document.write("<script src='assets/js/jquery.mobile.custom.min.js'>" + "<" + "/script>");
            </script>
            <script src="{{ asset('assets/js/bootstrap.min.js') }}"></script>

            <!-- page specific plugin scripts -->








            <script src="{{asset('assets/plugins/datepicker/bootstrap-datepicker.js') }}"></script>
            <script src="{{asset('assets/plugins/timepicker/bootstrap-timepicker.min.js') }}"></script>
            <script src="{{asset('assets/js/jquery-ui.custom.min.js') }}"></script>
            <script src="{{asset('assets/js/jquery.ui.touch-punch.min.js') }}"></script>
            <script src="{{asset('assets/js/jquery.gritter.min.js') }}"></script>
            <script src="{{asset('assets/js/bootbox.js') }}"></script>
            <script src="{{asset('assets/js/jquery.easypiechart.min.js') }}"></script>
            <script src="{{asset('assets/js/bootstrap-datepicker.min.js') }}"></script>
            <script src="{{asset('assets/js/jquery.hotkeys.index.min.js') }}"></script>
            <script src="{{asset('assets/js/bootstrap-wysiwyg.min.js') }}"></script>

            <script src="{{asset('assets/js/spinbox.min.js') }}"></script>
            <script src="{{asset('assets/js/bootstrap-editable.min.js') }}"></script>
            <script src="{{asset('assets/js/ace-editable.min.js') }}"></script>
            <script src="{{asset('assets/js/jquery.maskedinput.min.js') }}"></script>

            <!-- ace scripts -->
            <script src="{{ asset('assets/js/ace-elements.min.js') }}"></script>
            <script src="{{ asset('assets/js/ace.min.js') }}"></script>



            <script src="{{ asset('bundles/fosjsrouting/js/router.min.js') }}"></script>
            <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>



            <script src="{{asset('assets/js/datatables.js') }}"></script>

            <script src="{{asset('assets/js/select2.min.js') }}"></script>

            <script src="{{ asset('assets/js/jquery.dataTables.min.js')}}"></script>
            <script src="{{ asset('assets/js/jquery.dataTables.bootstrap.min.js')}}"></script>  






            <script src="{{asset('assets/js/jquery.easypiechart.min.js')}}"></script>
            <script src="{{asset('assets/js/jquery.gritter.min.js')}}"></script>
            <script src="{{asset('assets/js/spin.js')}}"></script>
            <script src="{{asset('assets/js/jquery.ui.touch-punch.min.js')}}"></script>
            <script src="{{asset('assets/js/functions.js')}}"></script>
            <script src="{{asset('assets/js/functions1.js')}}"></script>


            <script>

                $('.message_flash').on('click', 'button', function (event) {

                    $('.message_flash').hide();

                    event.preventDefault();
                });


                $('#ace-settings-btn').click(function () {
                    var id;
                    if ($("#ace-settings-btn").hasClass("open") == false) {
                        id = 0;
                    } else {
                        id = 1;
                    }
                    $.ajax({
                        type: 'get',
                        url: Routing.generate('etudiant_setting', {id: id}),

                        success: function (result) {
                            console.log(result);
                            $('.slh').html(result.salah);
                        }

                    });

                });


                $('body').on('click', '.message_class', function (event) {
                    $.ajax({
                        type: 'POST',
                        url: Routing.generate('etudiant_notification_message'),
                        success: function (result) {
                            $('.nouveau_messages_class').html(0);
                        }
                    });
                    event.preventDefault();
                });


                $('body').on('click', '.activite_class', function (event) {
                    $.ajax({
                        type: 'POST',
                        url: Routing.generate('etudiant_notification_activite'),
                        success: function (result) {
                            $('.nouveau_messages_class').html(0);
                        }
                    });
                    event.preventDefault();
                });




            </script>

        {% endblock %}






    </body>
</html>
